PUT /offer_conversions/:id

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/offer_conversions/:id

Update Traffic Source Payout by id.

Updates a Traffic Source Payout rule's duration, payout amount, or dedupe settings. If payout_type is changed, the corresponding payout or revenue_percentage requirement is re-validated.

Params

Param name Description
serializer
Optional Blank value allowed

This endpoint supports multiple response formats. Pass serializer=name to retrieve data in an alternate format.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    offer_conversionDefault response format.
    offer_conversion_gridModern response format that returns various foreign keys for use with other API endpoints.
payout_type
Optional

Payout Type

  • Must be one of: usd, buyer_conversion_percent.

payout
Optional Blank value allowed

Payout

  • Must be a decimal number.

revenue_percentage
Optional Blank value allowed

Revenue Percentage

  • Must be a decimal number.

duration
Optional

Duration

  • Must be a decimal number.

duplicate_timeframe
Optional

Duplicate Timeframe

  • Must be a decimal number.

duplicate_timeframe_scope
Optional

Duplicate Timeframe Scope

  • Must be one of: offer, traffic_source, number.

name
Optional

Name

  • Must be a String

offer_id
Optional Blank value allowed

The Offer this conversion rule belongs to.

business_range_id
Optional Blank value allowed

Scopes this conversion rule to calls during this Business Range, instead of the whole Offer.

conversion_type
Optional Blank value allowed

When the traffic source is paid: payout (after Duration seconds), postback (an external conversion postback), or when_buyer_converted (when a buyer converts the call).

  • Must be one of: payout, postback, when_buyer_converted.

traffic_source_id
Optional Blank value allowed

Scopes this conversion rule to calls from this Traffic Source, instead of the whole Offer.

number_id
Optional Blank value allowed

Scopes this conversion rule to calls to this Number, instead of the whole Offer.

owner_id
Optional Blank value allowed

The id of the record given in owner_type that this conversion rule is scoped to, instead of the whole Offer.

  • Must be an 8-bit integer ID or a 128-bit UUID reference to an object on Trackdrive. Example ID: 289302820, Example UUID: 924c37d5-e70f-42ad-84c2-e85eb0c1bc21

owner_type
Optional Blank value allowed

What this conversion rule is scoped to instead of the whole Offer: TrafficSource, Number, or BusinessRange, used together with owner_id.

  • Must be a String

token_value_ids
Optional Blank value allowed

Only pays out for calls matching these token values.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"
sortable_order
Optional Blank value allowed

Sortable Order

  • Must be a decimal number.